%define	name	qtiplot
%define	version	0.6.6
%define	release	%mkrel 1
%define	Summary	Data analysis and scientific plotting

%define	qtdir	%{_prefix}/lib/qt3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
License:	GPL
Group:		Sciences/Other
Url:		http://soft.proindependent.com/qtiplot.html
Source0:	http://soft.proindependent.com/%{name}-%{version}.tar.bz2

# Automatically added by buildreq on Fri Dec 03 2004
BuildRequires:	qt3-devel libqwt-devel libqwtplot3d-devel gsl-devel icoutils
BuildRequires:  ImageMagick
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Data analysis and scientific plotting.
Free clone of Origin.

%prep
%setup -q -n %{name}-%{version}
sed -i -e 's|INCLUDEPATH.*qwt/include|INCLUDEPATH += %{qtdir}/include/qwt|g' %{name}-%{version}/%{name}-%{version}.pro
sed -i -e 's|INCLUDEPATH.*qwtplot3d/include|INCLUDEPATH += %{qtdir}/include/qwtplot3d|g' %{name}-%{version}/%{name}-%{version}.pro
sed -i -e 's|INCLUDEPATH.*D:.*|INCLUDEPATH += %{_includedir}|g' %{name}-%{version}/%{name}-%{version}.pro
sed -i -e 's|helpFilePath=.*$|helpFilePath="%{_datadir}/doc/%{name}-%{version}/help.html";|g' %{name}-%{version}/src/application.cpp
sed -i -e 's|sub-3rdparty-qwt ||g' %{name}-%{version}/%{name}-%{version}.pro

%build
cd %{name}-%{version}
export QTDIR=%{qtdir}
export PATH=$QTDIR/bin:$PATH
qmake %{name}-%{version}.pro -o Makefile
%make

%install
rm -rf %{buildroot}
install -m755 qtiplot -D %{buildroot}%{_bindir}/qtiplot
install -d -m 755 %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
        command="qtiplot" \
        needs="X11" \
        section="More Applications/Sciences/Mathematics" \
        icon="%{name}.png" \
        title="QtiPlot" \
        longtitle="Qt Function plotting program"
EOF
mkdir -p %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
icotool -x -i1 %{name}-%{version}/src/qtiplot.ico -o qtiplot32.png
convert -scale 48 qtiplot32.png %{buildroot}%{_liconsdir}/%{name}.png
install -m 644 qtiplot32.png %{buildroot}%{_iconsdir}/%{name}.png
convert -scale 16 qtiplot32.png %{buildroot}%{_miconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(644,root,root,755)
#%doc %{name}-%{version}/doc/faq.html %{name}-%{version}/doc/help.html
%attr(755,root,root) %{_bindir}/qtiplot
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Mon Aug 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.6-1mdk
- New release 0.6.6

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.4-2mdk
- Rebuild

* Tue Jul 26 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6.4-1mdk
- import to contrib with adaptions

* Wed Apr 06 2005 Olivier Lahaye <olivier.lahaye1@free.fr> 0.5.8-3.2mdk
- Added Desktop menus and icons.

* Wed Apr 06 2005 Olivier Lahaye <olivier.lahaye1@free.fr> 0.5.8-3.1mdk
- Upgrade to V 0.5.8-3

* Wed Mar 02 2005 Olivier Lahaye <olivier.lahaye1@free.fr> 0.5.6-1mdk
- Initial package
